Package org.eclipse.wst.xsl.ui.internal.preferences

## org.eclipse.wst.xsl.ui.internal.preferences
Class XSLValidationPreferencePage

    public class XSLValidationPreferencePage
    extends org.eclipse.wst.xsl.ui.internal.preferences.AbstractValidationSettingsPage

## Constructor Summary

`XSLValidationPreferencePage()`

## Method Summary

`protected Combo` | `createCombo(Composite parent , java.lang.String label , java.lang.String key)`
`protected Control` | `createCommonContents(Composite parent)`
`protected Label` | `createLabel(Composite parent , java.lang.String text)`
`protected Text` | `createTextField(Composite parent)`
`protected ExpandableComposite` | `createTwistie(Composite parent , java.lang.String label , int nColumns)`
`protected Composite` | `createValidationSection(Composite parent)`
`public void` | `dispose()`
`protected void` | `enableValues()`
`protected IDialogSettings` | `getDialogSettings()`
`protected Preferences` | `getModelPreferences()`
`protected java.lang.String` | `getPreferenceNodeQualifier()`
`protected java.lang.String` | `getPreferencePageID()`
`protected java.lang.String` | `getProjectSettingsKey()`
`protected java.lang.String` | `getPropertyPageID()`
`protected java.lang.String` | `getQualifier()`
`public void` | `init(IWorkbench workbench)`
`protected void` | `initializeValues()`
`protected boolean` | `loadPreferences()`
`public void` | `modifyText(ModifyEvent e)`
`protected void` | `performDefaults()`
`public boolean` | `performOk()` (non-Javadoc)
`protected void` | `storeValues()`
`protected void` | `validateValues()`

## Constructor Detail

## XSLValidationPreferencePage

`public XSLValidationPreferencePage()`

## Methods Detail

## createCombo

`protected Combo createCombo(Composite parent , java.lang.String label , java.lang.String key)`

### Parameters

`parent`

`label`

`key`

### Returns

`Combo`

## createCommonContents

`protected Control createCommonContents(Composite parent)`

### Parameters

`parent`

### Returns

`Control`

## createLabel

`protected Label createLabel(Composite parent , java.lang.String text)`

### Parameters

`parent`

`text`

### Returns

`Label`

## createTextField

`protected Text createTextField(Composite parent)`

### Parameters

`parent`

### Returns

`Text`

## createTwistie

`protected ExpandableComposite createTwistie(Composite parent , java.lang.String label , int nColumns)`

### Parameters

`parent`

`label`

`nColumns`

### Returns

`ExpandableComposite`

## createValidationSection

`protected Composite createValidationSection(Composite parent)`

### Parameters

`parent`

### Returns

`Composite`

## dispose

`public void dispose()`

## enableValues

`protected void enableValues()`

## getDialogSettings

`protected IDialogSettings getDialogSettings()`

### Returns

`IDialogSettings`

## getModelPreferences

`protected Preferences getModelPreferences()`

### Returns

`Preferences`

## getPreferenceNodeQualifier

`protected java.lang.String getPreferenceNodeQualifier()`

### Returns

`java.lang.String`

## getPreferencePageID

`protected java.lang.String getPreferencePageID()`

### Returns

`java.lang.String`

## getProjectSettingsKey

`protected java.lang.String getProjectSettingsKey()`

### Returns

`java.lang.String`

## getPropertyPageID

`protected java.lang.String getPropertyPageID()`

### Returns

`java.lang.String`

## getQualifier

`protected java.lang.String getQualifier()`

### Returns

`java.lang.String`

## init

`public void init(IWorkbench workbench)`

### Parameters

`workbench`

## initializeValues

`protected void initializeValues()`

## loadPreferences

`protected boolean loadPreferences()`

### Returns

`boolean`

## modifyText

`public void modifyText(ModifyEvent e)`

### Parameters

`e`

## performDefaults

`protected void performDefaults()`

## performOk

`public boolean performOk()`

(non-Javadoc)

### Returns

`boolean`

## storeValues

`protected void storeValues()`

## validateValues

`protected void validateValues()`